Loading...
Searching...
No Matches
std Namespace Reference

Define real & complex conjugation for non-complex types and put comparisons into std namespace. More...

## Classes

struct | hash< casacore::String >

## Functions

float | conj (float x)
double | conj (double x)
Bool | operator> (const MVTime &lh, const MVTime &rh)
Bool | operator>= (const MVTime &lh, const MVTime &rh)
Bool | operator< (const MVTime &lh, const MVTime &rh)
Bool | operator<= (const MVTime &lh, const MVTime &rh)

## Detailed Description

Define real & complex conjugation for non-complex types and put comparisons into std namespace.

Define the hash function for String, so unordered_set<String> can be used.

## Function Documentation

## conj() [1/2]

double std::conj | ( | double | x | ) |

inline

Definition at line 352 of file Complex.h.

## conj() [2/2]

float std::conj | ( | float | x | ) |

inline

Definition at line 351 of file Complex.h.

## operator<()

Bool casacore::operator< | ( | const MVTime & | lh,
|  | const MVTime & | rh )

inline

Definition at line 466 of file MVTime.h.

## operator<=()

Bool casacore::operator<= | ( | const MVTime & | lh,
|  | const MVTime & | rh )

inline

Definition at line 468 of file MVTime.h.

## operator>()

Bool casacore::operator> | ( | const MVTime & | lh,
|  | const MVTime & | rh )

inline

Definition at line 470 of file MVTime.h.

## operator>=()

Bool casacore::operator>= | ( | const MVTime & | lh,
|  | const MVTime & | rh )

inline

Definition at line 472 of file MVTime.h.